Skip to main content
GET
/
v2
/
loyalties
/
rewards
/
{rewardId}
Get a reward by ID
curl --request GET \
  --url {protocol}://{host}/v2/loyalties/rewards/{rewardId} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-App-Id: <api-key>' \
  --header 'X-App-Token: <api-key>'
{
  "id": "<string>",
  "name": "<string>",
  "validity_hours": {
    "daily": [
      {
        "days_of_week": [
          3
        ],
        "start_time": "09:00",
        "end_time": "17:00"
      }
    ]
  },
  "refunds": {},
  "costs": [
    {
      "id": "<string>",
      "rules": {
        "logic": "<string>"
      },
      "spending": [
        {
          "points": 123,
          "card_definition_id": "<string>"
        }
      ]
    }
  ],
  "metadata": {},
  "created_at": "2023-11-07T05:31:56Z",
  "object": "<string>",
  "start_date": "2023-11-07T05:31:56Z",
  "end_date": "2023-11-07T05:31:56Z",
  "material": {
    "product": {
      "id": "<string>"
    },
    "sku": {
      "product_id": "<string>",
      "id": "<string>"
    }
  },
  "digital": {
    "discount_coupons": {
      "campaign_id": "<string>"
    },
    "gift_vouchers": {
      "campaign_id": "<string>",
      "balance": 123
    },
    "loyalty_card_points": {
      "points": 123,
      "card_definition_id": "<string>"
    }
  },
  "updated_at": "2023-11-07T05:31:56Z"
}
{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}
{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}
{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}
{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

id
string
required

Unique reward identifier, prefixed with lrew_.

Pattern: ^lrew_[a-f0-9]+$

Response

The reward.

A reward, as returned by the API.

id
string
required

Unique reward identifier, prefixed with lrew_.

Pattern: ^lrew_[a-f0-9]+$
name
string
required

Display name of the reward.

type
enum<string>
required

Reward type.

Available options:
MATERIAL,
DIGITAL
status
enum<string>
required

Current lifecycle status of the reward.

Available options:
ACTIVE,
DRAFT,
INACTIVE,
DELETED
validity_hours
object
required

Hours during which the reward can be purchased. Always present; defaults to { "type": "ANY_TIME" }.

refunds
object
required

Refund policy. Always present; defaults to { "type": "NONE" }.

costs
object[]
required

Point costs of the reward. Empty array when no costs are defined.

metadata
object
required

Arbitrary key-value metadata attached to the reward. Empty object when not set.

created_at
string<date-time>
required

Timestamp when the reward was created (ISO-8601).

object
string
required

Object type marker; always reward.

Allowed value: "reward"
start_date
string<date-time> | null

Date from which the reward is available, or null when not set.

end_date
string<date-time> | null

Date until which the reward is available, or null when not set.

material
object

Material reward definition. Present only when type is MATERIAL; omitted otherwise.

digital
object

Digital reward definition. Present only when type is DIGITAL; omitted otherwise.

updated_at
string<date-time> | null

Timestamp when the reward was last updated (ISO-8601), or null when never updated.

Last modified on July 9, 2026